Get device command history list
GET
/device/{deviceId}/commands
Return device command history within a 30-day time range.
Authorizations
AccessToken
Type
HTTP (bearer)
Parameters
Path Parameters
deviceId*
Device ID
Type
Requiredstring
Query Parameters
page
Page number (default 1)
Type
integer
Default
1Minimum
1size
Items per page
Type
integer
Default
20Minimum
1Maximum
500status
Filter by status
Type
string
Valid values
"received""executing""completed""cancelled"startTime*
Start time
Type
Requiredstring
Format
"date-time"endTime*
End time (ISO 8601 format, UTC)
Type
Requiredstring
Format
"date-time"Responses
Command list returned successfully
application/json
Command history list response
Collapse
deviceId
string
total
integer
Total count
page
integer
Current page number
size
integer
Items per page
commands
object[]
Command list
Expand
GET
/device/{deviceId}/commands